Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::InputStream Class Reference

入力ストリーム More...

`#include <InputStream.h>`

Inheritance diagram for Lamp::InputStream:

List of all members.

## Public Member Functions
| InputStream ()
| コンストラクタ
virtual | ~InputStream ()
| デストラクタ
virtual InputStream * | cloneInputStream ()=0
| 入力ストリームの複製
## Protected Member Functions
virtual bool | isEnd ()=0
| 終端かどうか
virtual void | readBytes (void *data, int size)=0
| バイトデータの読み込み
virtual int | getSize ()=0
| サイズの取得
virtual void | skip (int size)=0
| スキップ
virtual int | align (int size)=0
| アライメントを取る
virtual int | getPosition ()=0
| 読み込み位置の取得
virtual void | setPosition (int position)=0
| 読み込み位置の設定
## Friends
class | Reader

## Detailed Description

入力ストリーム

Definition at line 34 of file InputStream.h.

## Member Function Documentation

virtual int Lamp::InputStream::align | ( | int | size | ) | `[protected, pure virtual]`

  | アライメントを取る 指定されたバイト数のアライメントまで読み飛ばします。 Parameters:
  size | アライメントをとるバイト数
Returns: スキップしたバイト数 Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::Reader::align().

virtual InputStream* Lamp::InputStream::cloneInputStream | ( |  | ) | `[pure virtual]`

| 入力ストリームの複製 Returns: 複製された入力ストリーム Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::BinaryFileReader::cloneBinaryFileReader(), Lamp::BinaryMemoryReader::cloneBinaryMemoryReader(), Lamp::TextFileReader::cloneTextFileReader(), and Lamp::TextMemoryReader::cloneTextMemoryReader().

virtual int Lamp::InputStream::getPosition | ( |  | ) | `[protected, pure virtual]`

| 読み込み位置の取得 Returns: 読み込み位置 Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::Reader::getPosition().

virtual int Lamp::InputStream::getSize | ( |  | ) | `[protected, pure virtual]`

| サイズの取得 Returns: ストリーム全体のバイト数 Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::Reader::getSize().

virtual bool Lamp::InputStream::isEnd | ( |  | ) | `[protected, pure virtual]`

| 終端かどうか Returns: trueなら終端 Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::Reader::isEnd().

virtual void Lamp::InputStream::readBytes | ( | void * | data,
|  | int | size
| ) | `[protected, pure virtual]`

  | バイトデータの読み込み Parameters:
  data | 読み出し先アドレス
  size | 読み出すサイズ
Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::Reader::readBytes().

virtual void Lamp::InputStream::setPosition | ( | int | position | ) | `[protected, pure virtual]`

  | 読み込み位置の設定 指定された位置に読み込み位置を変更します。 Parameters:
  position | 読み込み位置
Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::Reader::setPosition().

virtual void Lamp::InputStream::skip | ( | int | size | ) | `[protected, pure virtual]`

  | スキップ 指定されたバイト数、読み出しをスキップします。 Parameters:
  size | スキップするバイト数
Implemented in Lamp::FileInputStream, and Lamp::MemoryInputStream. Referenced by Lamp::Reader::skip().

The documentation for this class was generated from the following file:

- InputStream.h